Debian Bug report logs - #619542
b2 migrates uninstallable package (mic2, arch:all → arch:any switch)

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Thu, 24 Mar 2011 22:06:01 UTC

Severity: normal

Tags: patch

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#619542; Package release.debian.org. (Thu, 24 Mar 2011 22:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 24 Mar 2011 22:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: submit@bugs.debian.org
Subject: b2 migrates uninstallable package (mic2, arch:all → arch:any switch)
Date: Thu, 24 Mar 2011 23:03:29 +0100
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: britney

from excuses:

> mic2 (0.24.5-1 to 0.24.6-1)
> Maintainer: Fathi Boudra
> 10 days old (needed 10 days)
> mic2/armel unsatisfiable Depends: syslinux (>= 3.82)
> mic2/ia64 unsatisfiable Depends: syslinux (>= 3.82)
> mic2/kfreebsd-amd64 unsatisfiable Depends: dmsetup
> mic2/kfreebsd-amd64 unsatisfiable Depends: dosfstools
> mic2/kfreebsd-amd64 unsatisfiable Depends: kpartx
> mic2/kfreebsd-amd64 unsatisfiable Depends: syslinux (>= 3.82)
> mic2/kfreebsd-i386 unsatisfiable Depends: dmsetup
> mic2/kfreebsd-i386 unsatisfiable Depends: dosfstools
> mic2/kfreebsd-i386 unsatisfiable Depends: kpartx
> mic2/kfreebsd-i386 unsatisfiable Depends: syslinux (>= 3.82)
> mic2/mips unsatisfiable Depends: syslinux (>= 3.82)
> mic2/mipsel unsatisfiable Depends: syslinux (>= 3.82)
> mic2/powerpc unsatisfiable Depends: syslinux (>= 3.82)
> mic2/s390 unsatisfiable Depends: syslinux (>= 3.82)
> mic2/sparc unsatisfiable Depends: syslinux (>= 3.82)
> Valid candidate

Yet b2 migrates it:

On Thu, Mar 24, 2011 at 21:52:32 +0000, Release Managers wrote:

> --- HeidiResult_b1	2011-03-24 21:44:58.000000000 +0000
> +++ HeidiResult_b2	2011-03-24 21:52:28.000000000 +0000
> @@ -234678,18 +234678,18 @@
>  mhwaveedit 1.4.20-2 s390 sound
>  mhwaveedit 1.4.20-2 source sound
>  mhwaveedit 1.4.20-2 sparc sound
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 all devel
> -mic2 0.24.5-1 source devel
> +mic2 0.24.6-1 amd64 devel
> +mic2 0.24.6-1 armel devel
> +mic2 0.24.6-1 i386 devel
> +mic2 0.24.6-1 ia64 devel
> +mic2 0.24.6-1 kfreebsd-amd64 devel
> +mic2 0.24.6-1 kfreebsd-i386 devel
> +mic2 0.24.6-1 mips devel
> +mic2 0.24.6-1 mipsel devel
> +mic2 0.24.6-1 powerpc devel
> +mic2 0.24.6-1 s390 devel
> +mic2 0.24.6-1 source devel
> +mic2 0.24.6-1 sparc devel
>  micro-evtd 3.3.3-7 armel utils
>  micro-evtd 3.3.3-7 source utils
>  micro-evtd-udeb 3.3.3-7 armel debian-installer
> 
Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#619542; Package release.debian.org. (Wed, 18 May 2011 18:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 May 2011 18:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 619542@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, 619542@bugs.debian.org
Subject: Re: Bug#619542: b2 migrates uninstallable package (mic2, arch:all → arch:any switch)
Date: Wed, 18 May 2011 19:47:43 +0100
# fixed in git
tag 619542 + patch
thanks

On Thu, 2011-03-24 at 23:03 +0100, Julien Cristau wrote:
> from excuses:
> 
> > mic2 (0.24.5-1 to 0.24.6-1)
> > Maintainer: Fathi Boudra
> > 10 days old (needed 10 days)
> > mic2/armel unsatisfiable Depends: syslinux (>= 3.82)
> > mic2/ia64 unsatisfiable Depends: syslinux (>= 3.82)
[...]
> Yet b2 migrates it:

This seems to have been a problem with arch:all to arch-dependent
changes where both the old and new packages were uninstallable on a
particular architecture and a check was a little over-optimised.  I've
pushed a fix that works in my tests as
347022bb01182704cc1976ffb8fd2de916933620, but left the bug open until
it's been proved in a live run.

Regards,

Adam





Added tag(s) patch. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 18 May 2011 18:51:08 GMT) Full text and rfc822 format available.

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Thu, 19 May 2011 20:27:11 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Thu, 19 May 2011 20:27:11 GMT) Full text and rfc822 format available.

Message #17 received at 619542-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 619542-done@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#619542: b2 migrates uninstallable package (mic2, arch:all → arch:any switch)
Date: Thu, 19 May 2011 21:24:17 +0100
On Wed, 2011-05-18 at 19:47 +0100, Adam D. Barratt wrote:
> This seems to have been a problem with arch:all to arch-dependent
> changes where both the old and new packages were uninstallable on a
> particular architecture and a check was a little over-optimised.  I've
> pushed a fix that works in my tests as
> 347022bb01182704cc1976ffb8fd2de916933620, but left the bug open until
> it's been proved in a live run.

... which it now has (two in fact).

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Jun 2011 07:38:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:40:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.